%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Object-oriented framework for creating UPnP devices and control points
Name:		gupnp
Version:	0.12.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/sources/gupnp/
Source0:	http://www.gupnp.org/sources/gupnp/%{name}-%{version}.tar.gz
BuildRequires:	gssdp-devel >= 0.6.1
BuildRequires:	ext2fs-devel
BuildRequires:	libsoup-devel
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points.

%package -n %{libname}

Summary:	Main library for gupnp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gupnp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gupnp

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS README NEWS
%{_libdir}/pkgconfig/gupnp*.pc
%{_includedir}/gupnp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/gtk-doc/html/*
%{_bindir}/gupnp-binding-tool


%changelog
* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.12.6-1mdv2009.1
+ Revision: 349313
- New version 0.12.6

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.5-1mdv2009.1
+ Revision: 331044
- update to new version 0.12.5

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.12.4-2mdv2009.1
+ Revision: 309215
- rebuild to get rid of libtasn1 dep

* Sun Nov 30 2008 Emmanuel Andry <eandry@mandriva.org> 0.12.4-1mdv2009.1
+ Revision: 308521
- New version

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.3-1mdv2009.1
+ Revision: 304513
- add buildrequires libtasn1-devel
- update to new version 0.12.3

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 278645
- New version (new major)
- Add gupnp-binding-tool file, only used for development
- Don't package ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.1-1mdv2009.0
+ Revision: 211075
- bump major
- new version
- do not re-define stuff
- update buildrequires
- spec file clean

* Mon Feb 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-2mdv2008.1
+ Revision: 174698
- fix summary

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.6-1mdv2008.1
+ Revision: 174660
- Adding more BuildRequires
- import gupnp


